<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>
	<extension
		point="org.eclipse.ui.editors">
		<editor
			class="org.eclipse.papyrus.robotics.xtext.datatypes.ui.DTMLExecutableExtensionFactory:org.eclipse.xtext.ui.editor.XtextEditor"
			contributorClass="org.eclipse.ui.editors.text.TextEditorActionContributor"
			default="true"
			extensions="dtml"
			id="org.eclipse.papyrus.robotics.xtext.datatypes.DTML"
			name="DTML Editor">
		</editor>
	</extension>
	<extension point="org.eclipse.papyrus.infra.gmfdiag.extensionpoints.editors.DirectEditor">
		<DirectEditor
				language="DTML editor"
				objectToEdit="org.eclipse.uml2.uml.DataType"
				additionalConstraint="org.eclipse.papyrus.robotics.xtext.datatypes.ui.DataTypeEditorConstraint">
			<popupeditor
				editorConfiguration="org.eclipse.papyrus.robotics.xtext.datatypes.ui.contribution.DataTypeEditorConfigurationContribution">
			</popupeditor>
			<Priority
				name="Medium">
			</Priority>
		</DirectEditor>
	</extension>
	<extension point="org.eclipse.papyrus.infra.gmfdiag.extensionpoints.editors.DirectEditor">
		<DirectEditor
				language="Enum editor"
				objectToEdit="org.eclipse.uml2.uml.Enumeration"
				additionalConstraint="org.eclipse.papyrus.robotics.xtext.datatypes.ui.EnumEditorConstraint">
			<popupeditor
				editorConfiguration="org.eclipse.papyrus.robotics.xtext.datatypes.ui.contribution.EnumerationEditorConfigurationContribution">
			</popupeditor>
			<Priority
				name="Medium">
			</Priority>
		</DirectEditor>
	</extension>
	<extension point="org.eclipse.papyrus.infra.gmfdiag.extensionpoints.editors.DirectEditor">
		<DirectEditor
				language="PARAM editor"
				objectToEdit="org.eclipse.uml2.uml.ValueSpecificationAction"
				additionalConstraint="org.eclipse.papyrus.robotics.xtext.datatypes.ui.ParameterEditorConstraint">
			<popupeditor
				editorConfiguration="org.eclipse.papyrus.robotics.xtext.datatypes.ui.contribution.ParameterEditorConfigurationContribution">
			</popupeditor>
			<Priority
				name="Medium">
			</Priority>
		</DirectEditor>
	</extension>
</plugin>
